Jump to content
ritchie58

Microsoft issues Security Patch for Critical Security Flaw. Update ASAP!

Recommended Posts

Microsoft has issued a security patch for a security flaw for all Windows platforms. Microsoft has decided to include even Win 7 users for this security update.

The flaw is called 'PrintNightmare' also identified as CVE-2021-34527 which affects all versions of Windows. The flaw is associated with the Print Spooler Service. The Print Spooler service manages access to a printer connected to your system.

Hackers can use this vulnerability to view or delete data, download arbitrary code or even create new user accounts using Administrator privileges.

Depending on your Windows Platform the Windows Update package that will be installed are KB5004945 through KB5004959.

Microsoft is advising all users to update your PC ASAP to get this security patch.

If you have Windows Updates set to automatic you will get the security update. If you update Windows manually run the Windows Updater as soon as you get the chance.

If you don't use a printer anyways you can go into Services and disable the Print Spooler Service which won't affect any other process. Since I don't use a printer I already had that Service disabled thankfully!

However, I would still recommend you get this update installed. Just in case you decide to connect a printer to your system at a later date.

Best wishes, Ritchie...

  • Like 1

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...